PDO::pgsqlLOBOpen
SQLite (PDO)
PostgreSQL (PDO)
PHP Manual

# PDO::pgsqlLOBUnlink

Deletes the large object

### Description

public bool PDO::pgsqlLOBUnlink ( string `$oid` )

Deletes a large object from the database identified by OID.

> Note: This function must be called within a transaction.

### Parameters

`oid`

  A large object identifier

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A PDO::pgsqlLOBUnlink example

This example unlinks a large object from the database prior to deleting the row that references it from the blobs table we've been using in our PDO::pgsqlLOBCreate and PDO::pgsqlLOBOpen examples.

`<?php
$db = new PDO('pgsql:dbname=test host=localhost', $user, $pass);
$db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
$db->beginTransaction();
$db->pgsqlLOBUnlink($oid);
$stmt = $db->prepare("DELETE FROM BLOBS where ident = ?");
$stmt->execute(array($some_id));
$db->commit();
?>`

### See Also

- PDO::pgsqlLOBOpen
- PDO::pgsqlLOBCreate